package org.jboss.cache;

/**
 * @author Mircea.Markus@jboss.com
 */
public class AbstractCacheTest<K, V>
{
   /**
    * Importnat: do not reset RegionManager (rm.reset()) here, as this woulfd cause eviction region to be clered.
    * If that is needed, do it in @BeforeMethods
    */
   public void clearContent(CacheSPI<K, V> cache)
   {
      clearRunningTx(cache);
      if (!cache.getCacheStatus().allowInvocations()) return;
      if (cache.getRoot() != null)
      {
         cache.getRoot().clearDataDirect();
         cache.getRoot().removeChildrenDirect();
      }
      //impoortant!!! keep invocation ctxt cleanup as the last line in the cleanup process, prev calls modify
      // OptionOverrides
      cache.getInvocationContext().reset();
   }

   private void clearRunningTx(CacheSPI<K, V> cache)
   {
      if (cache != null && cache.getTransactionManager() != null)
      {
         try
         {
            cache.getTransactionManager().rollback();
         }
         catch (Exception e)
         {
            // don't care
         }
      }
   }
}
