package org.jboss.cache;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.AfterClass;
import org.testng.annotations.Test;
import org.jboss.cache.util.TestingUtil;

/**
 * @author Mircea.Markus@jboss.com
 */
@Test(groups = {"functional", "unit"})
public abstract class AbstractSingleCacheTest<K, V> extends AbstractCacheTest<K, V>
{
   protected CacheSPI<K, V> cache;

   @BeforeClass
   protected void create() throws Exception
   {
      cache = createCache();
   }

   @AfterClass
   protected void destroy()
   {
      TestingUtil.killCaches(cache);
   }

   @AfterMethod
   protected void clearContent()
   {
      super.clearContent(cache);
   }

   protected abstract CacheSPI<K, V> createCache() throws Exception;
}
