package org.jboss.cache.loader;

import org.jboss.cache.CacheSPI;
import org.jboss.cache.factories.UnitTestCacheConfigurationFactory;
import org.jboss.cache.util.TestingUtil;
import org.testng.annotations.Test;

/**
 * Tests {@link org.jboss.cache.loader.jdbm.JdbmCacheLoader}.
 *
 * @author Elias Ross
 * @version $Id: JdbmCacheLoaderTest.java 7332 2008-12-16 13:44:26Z mircea.markus $
 */
@Test (groups = {"functional"}, testName = "loader.JdbmCacheLoaderTest")
public class JdbmCacheLoaderTest extends CacheLoaderTestsBase
{
   protected void configureCache(CacheSPI cache) throws Exception
   {      
      String tmpDir = TestingUtil.TEST_FILES;
      String threadId = Thread.currentThread().getName();
      String tmpCLLoc = tmpDir + "/JBossCache-JdbmCacheLoaderTest-" + threadId;
      cache.getConfiguration().setCacheLoaderConfig(UnitTestCacheConfigurationFactory.buildSingleCacheLoaderConfig(false, "", "org.jboss.cache.loader.jdbm.JdbmCacheLoader",
            "location=" + tmpCLLoc, false, true, false, false, false));
      TestingUtil.recursiveFileRemove(tmpCLLoc);
   }
   
   public void testCacheLoaderThreadSafety() throws Exception
   {
   }

   public void testCacheLoaderThreadSafetyMultipleFqns() throws Exception
   {
   }
}
